import { Ref } from 'vue';
export interface IVirtualScrollProp {
    scrollTop: number;
    direction: 'up' | 'down';
}
export declare const useVirtual: (props: any, dataSource: Ref<any[]>, isVirtualList: Ref<boolean>, tableElRef: Ref<any>, emit: (prop: IVirtualScrollProp) => void) => {
    virtualData: Ref<any[]>;
    virtualSetup: () => void;
    unVirtual: () => void;
    virtualScrollToTop: () => void;
    virtualScrollToBottom: () => void;
};
